@import "src/styles/size_constatns";
@import "src/styles/size_mixins";

@mixin hdPadding {
  padding: 72px;
}

@mixin normalPadding {
  padding: 54px;
}

@mixin mobilePadding {
  padding: 24px;
}

.grid {
  display: grid;
  box-sizing: border-box;
  margin: auto;
  @include _1584 {
    @include hdColumnTemplate;
    @include hdGap;
  }
  @include _1254 {
    @include mdColumnTemplate;
    @include normalGap;
  }

  @include _1014 {
    @include smColumnTemplate;
    @include normalGap;
  }
  @include _780 {
    @include tabletColumnTemplate;
    @include mobileGap;
  }
  @include _600 {
   @include hdMobileColumnTemplate;
    @include mobileGap;
  }
  @include _480 {
    @include mdMobileColumnTemplate;
    @include mobileGap;
  }

  @include _360 {
    @include smMobileColumnTemplate;
    @include mobileGap;
  }
  @include _320 {
    @include ssmMobileColumnTemplate;
    @include mobileGap;
  }
}
